import React from 'react';
import Icon from '@ant-design/icons';

const CouponSvg = () => (
  <svg
    t='1593574338317'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='3404'
    width='1em'
    height='1em'
  >
    <path
      d='M970.660164 396.040988c0-24.458041-13.375635-37.835723-22.214954-46.693462-7.373944-7.374968-9.712199-10.053983-9.712199-17.20894 0-7.154957 2.338255-9.831926 9.712199-17.20894 8.839319-8.856715 22.214954-22.23542 22.214954-46.691415 0-18.286482-7.482415-30.376844-14.957667-39.016619l-1.666966 0 0-0.997724-570.697867 0-7.460925 0-96.302323 0c-22.01234 0-39.908942 17.904789-39.908942 39.908942l0 112.076588 47.89073 0L287.556205 276.114618l88.320535 0 0 104.0948 47.89073 0L423.76747 276.114618l497.18048 0c-1.467421 2.693342-3.889587 5.330402-7.874341 9.324366-8.854669 8.856715-22.231327 22.243607-22.231327 46.699602s13.375635 37.841863 22.231327 46.698578c7.359618 7.377014 9.695826 10.053983 9.695826 17.203824 0 7.154957-2.337231 9.829879-9.712199 17.206894-8.839319 8.856715-22.214954 22.24156-22.214954 46.699602 0 0.088004 0.017396 0.159636 0.017396 0.245593 0 0.085958-0.017396 0.157589-0.017396 0.24457 0 24.458041 13.375635 37.842887 22.214954 46.701648 7.374968 7.377014 9.712199 10.051937 9.712199 17.206894 0 7.14984-2.337231 9.825786-9.695826 17.202801-8.854669 8.856715-22.231327 22.24156-22.231327 46.699602 0 24.455995 13.375635 37.841863 22.231327 46.698578 3.50687 3.517103 5.812379 5.949502 7.328919 8.324596L787.744181 643.271766l0 47.89073L896.41009 691.162496l-0.00307 0.005117 59.295478 0c7.475252-8.640798 14.957667-20.732184 14.957667-39.018665 0-24.455995-13.375635-37.833677-22.214954-46.691415-7.373944-7.374968-9.712199-10.053983-9.712199-17.20894 0-7.15598 2.338255-9.833973 9.712199-17.20894 8.839319-8.857738 22.214954-22.23542 22.214954-46.693462 0-24.455995-13.375635-37.841863-22.214954-46.699602-7.373944-7.374968-9.712199-10.051937-9.712199-17.20894 0-0.092098 0.025583-0.151449 0.025583-0.24457s-0.025583-0.151449-0.025583-0.245593c0-7.154957 2.338255-9.831926 9.712199-17.20894C957.284529 433.882851 970.660164 420.496983 970.660164 396.040988z'
      p-id='3405'
      fill='#ffffff'
    ></path>
    <path
      d='M809.688983 526.415314c0-24.458041-13.375635-37.835723-22.214954-46.693462-7.373944-7.374968-9.712199-10.051937-9.712199-17.20894 0-7.154957 2.338255-9.831926 9.712199-17.20894 8.839319-8.856715 22.214954-22.23542 22.214954-46.691415 0-18.286482-7.482415-30.376844-14.957667-39.016619l-1.666966 0 0-0.997724L206.40086 358.598214l-7.459902 0-96.303346 0c-22.01234 0-39.908942 17.904789-39.908942 39.908942l0 383.125841c0 22.004153 17.896602 39.908942 39.908942 39.908942l103.763249 0 0-0.005117 529.038048 0-0.00307 0.005117 59.295478 0c7.475252-8.640798 14.957667-20.730137 14.957667-39.016619 0-24.458041-13.375635-37.835723-22.214954-46.693462-7.373944-7.374968-9.712199-10.051937-9.712199-17.20894 0-7.154957 2.338255-9.831926 9.712199-17.20894 8.839319-8.857738 22.214954-22.23542 22.214954-46.691415 0-24.458041-13.375635-37.842887-22.214954-46.699602-7.373944-7.377014-9.712199-10.053983-9.712199-17.20894 0-0.094144 0.023536-0.151449 0.025583-0.24457-0.002047-0.094144-0.025583-0.153496-0.025583-0.245593 0-7.15598 2.338255-9.833973 9.712199-17.20894C796.312324 564.257178 809.688983 550.871309 809.688983 526.415314zM198.939935 773.651208l-88.320535 0 0-367.162264 88.320535 0L198.939935 773.651208zM729.888496 590.56945c0 0.084934-0.017396 0.156566-0.017396 0.24457 0 24.458041 13.375635 37.842887 22.214954 46.699602 7.373944 7.377014 9.712199 10.051937 9.712199 17.20894 0 7.148817-2.338255 9.825786-9.695826 17.202801-8.854669 8.856715-22.231327 22.24156-22.231327 46.698578 0 24.458041 13.375635 37.842887 22.231327 46.699602 3.50687 3.517103 5.812379 5.949502 7.328919 8.323573L246.830665 773.647115 246.830665 406.488944l513.146103 0c-1.467421 2.694365-3.89061 5.331425-7.874341 9.326413-8.854669 8.856715-22.231327 22.24156-22.231327 46.698578 0 24.458041 13.375635 37.842887 22.231327 46.699602 7.357572 7.377014 9.695826 10.051937 9.695826 17.202801 0 7.154957-2.338255 9.831926-9.712199 17.20894-8.839319 8.856715-22.214954 22.24156-22.214954 46.699602C729.871099 590.409814 729.888496 590.481446 729.888496 590.56945z'
      p-id='3406'
      fill='#ffffff'
    ></path>
    <path
      d='M549.620829 602.769306c-3.458775-4.281513-7.560186-8.035-12.311397-11.259438-4.749164-3.226484-9.877975-6.100952-15.385409-8.623401-5.51255-2.520403-11.256368-4.779863-17.235546-6.77531-2.298346-0.766456-4.597715-1.482771-6.89606-2.231831L497.792417 492.090555c5.849218 1.929955 11.056823 4.711302 15.567557 8.414647 4.627391 3.802606 8.407484 8.508791 11.337209 14.121626 2.930749 5.612834 4.688789 12.103666 5.276167 19.470447l24.299429 0c-0.469698-7.2798-1.997494-14.820544-4.578272-22.630417-2.582825-7.804756-6.77838-14.937201-12.590759-21.396309-5.810333-6.453992-13.501502-11.766998-23.069415-15.935947-4.800329-2.089591-10.216689-3.65218-16.242939-4.694929l0-32.451086-31.927153 0 0 31.610952c-6.237051 0.586354-12.243859 1.471514-17.778922 2.981914-9.041934 2.465145-16.815991 6.074346-23.332405 10.829649-6.516414 4.754281-11.564383 10.683317-15.144932 17.785062-3.582595 7.105838-5.370311 15.232936-5.370311 24.390503 0 7.395434 1.026376 13.9712 3.081175 19.721157 2.052752 5.753027 4.870938 10.831696 8.452509 15.231913 3.580548 4.402263 7.776104 8.277524 12.591783 11.622712 4.811586 3.346211 10.007935 6.282077 15.58393 8.80555 5.574972 2.52552 11.357675 4.783956 17.346063 6.77838 1.52268 0.509606 3.046383 0.941442 4.570085 1.434675l0 91.283006c-2.696412-0.624217-5.405103-1.224898-7.916297-2.203178-6.927783-2.699482-12.942777-6.485715-18.050098-11.357675-5.106298-4.870938-9.187243-10.623965-12.239765-17.258059-3.053546-6.631024-4.874007-13.880125-5.457292-21.747303l-24.478508 0c0.353041 11.622712 2.905166 22.100344 7.66047 31.431873 4.754281 9.333576 10.977006 17.258059 18.666128 23.77345 7.688099 6.516414 16.464997 11.535731 26.327622 15.056927 5.082762 1.815345 10.249435 3.124154 15.487739 4.003174l0 32.172747 31.927153 0 0-31.994692c5.202489-0.689708 10.214642-1.685385 15.010879-3.035126 9.801227-2.756787 18.252713-6.889921 25.358551-12.403494 7.101745-5.513574 12.649088-12.376888 16.639982-20.587897 3.990894-8.208962 5.988388-17.71036 5.988388-28.501124 0-7.154957-0.99977-13.549597-2.990101-19.178805C555.805692 612.008738 553.080627 607.049796 549.620829 602.769306zM465.865263 563.508117c-0.328481-0.116657-0.683569-0.212848-1.010003-0.328481-7.092535-2.520403-13.366426-5.483898-18.817578-8.883321-5.453199-3.40147-9.818623-7.479345-13.102413-12.231579-3.281743-4.749164-4.92108-10.527774-4.92108-17.331737 0-6.567579 1.433652-12.109806 4.307096-16.627702 2.871397-4.51585 6.67912-8.179286 11.426237-10.994402 4.746094-2.816139 10.108219-4.868891 16.08535-6.158257 1.992377-0.430812 4.016477-0.681522 6.034437-0.967024L465.86731 563.508117zM532.438495 657.364739c-3.055592 5.635347-7.192819 10.243295-12.414751 13.82282-5.225001 3.583618-11.212366 6.163373-17.962094 7.748475-1.390673 0.325411-2.852978 0.473791-4.26821 0.732687l0-81.157391c0.821715 0.284479 1.689479 0.541329 2.508123 0.828878 6.867408 2.406816 13.030781 5.282307 18.49012 8.628518 5.458315 3.346211 9.860579 7.338129 13.20679 11.974729 3.346211 4.638647 5.019317 10.245342 5.019317 16.818037C537.016767 644.861984 535.48897 651.729391 532.438495 657.364739z'
      p-id='3407'
      fill='#ffffff'
    ></path>
  </svg>
);

const GoogleSvg = () => (
  <svg
    t='1593746485399'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='1156'
    width='1em'
    height='1em'
  >
    <path
      d='M214.101333 512c0-32.512 5.546667-63.701333 15.36-92.928L57.173333 290.218667A491.861333 491.861333 0 0 0 4.693333 512c0 79.701333 18.858667 154.88 52.394667 221.610667l172.202667-129.066667A290.56 290.56 0 0 1 214.101333 512'
      fill='#FBBC05'
      p-id='1157'
    ></path>
    <path
      d='M516.693333 216.192c72.106667 0 137.258667 25.002667 188.458667 65.962667L854.101333 136.533333C763.349333 59.178667 646.997333 11.392 516.693333 11.392c-202.325333 0-376.234667 113.28-459.52 278.826667l172.373334 128.853333c39.68-118.016 152.832-202.88 287.146666-202.88'
      fill='#EA4335'
      p-id='1158'
    ></path>
    <path
      d='M516.693333 807.808c-134.357333 0-247.509333-84.864-287.232-202.88l-172.288 128.853333c83.242667 165.546667 257.152 278.826667 459.52 278.826667 124.842667 0 244.053333-43.392 333.568-124.757333l-163.584-123.818667c-46.122667 28.458667-104.234667 43.776-170.026666 43.776'
      fill='#34A853'
      p-id='1159'
    ></path>
    <path
      d='M1005.397333 512c0-29.568-4.693333-61.44-11.648-91.008H516.650667V614.4h274.602666c-13.696 65.962667-51.072 116.650667-104.533333 149.632l163.541333 123.818667c93.994667-85.418667 155.136-212.650667 155.136-375.850667'
      fill='#4285F4'
      p-id='1160'
    ></path>
  </svg>
);

const FacebookSvg = () => (
  <svg
    t='1593747121249'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='2826'
    width='1em'
    height='1em'
  >
    <path
      d='M933.8 195.213c0-58.296-47.259-105.554-105.554-105.554h-633.12c-58.296 0-105.554 47.258-105.554 105.554v633.12c0 58.295 47.258 105.554 105.554 105.554h633.12c58.295 0 105.554-47.259 105.554-105.554v-633.12zM776.21 300.46H669.787v105.4H776.21v105.401H669.787v317.225h-105.4V511.261H458.985v-105.4h105.4V267.9c0-35.433 39.029-72.84 78.785-72.84H776.21v105.4z'
      fill='#425F9B'
      p-id='2827'
    ></path>
  </svg>
);

const UserSvg = () => (
  <svg
    t='1594917863612'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='2017'
    width='1em'
    height='1em'
  >
    <path
      d='M902.4 818.1c-37-119.1-128.8-216.6-245.5-260.9-6.3-2.4-13.5-1.4-19 2.6-36.7 27-80.3 41.2-125.9 41.2-45.6 0-89.2-14.2-125.9-41.2-5.5-4-12.6-5-19-2.6C250.3 601.5 158.6 699 121.6 818.1c-10.4 33.4-4.4 68.8 16.4 97 20.8 28.2 52.8 44.4 87.8 44.4h572.4c35 0 67-16.2 87.8-44.4 20.8-28.2 26.8-63.5 16.4-97z m-48.7 73.3c-13.1 17.8-33.4 28.1-55.5 28.1H225.8c-22.1 0-42.4-10.2-55.5-28.1-13.1-17.8-16.9-40.2-10.3-61.3C192.3 726 271 640.2 371.6 598.6c41.6 27.8 89.9 42.5 140.4 42.5 50.4 0 98.8-14.7 140.4-42.5C753 640.2 831.7 726 864.1 830c6.5 21.2 2.8 43.5-10.4 61.4z'
      fill='#1c76bc'
      p-id='2018'
    ></path>
    <path
      d='M512 570.9c139.6 0 253.2-113.6 253.2-253.2C765.2 178 651.6 64.4 512 64.4S258.8 178 258.8 317.6c0 139.7 113.6 253.3 253.2 253.3z m0-466.3c117.5 0 213.1 95.6 213.1 213.1S629.5 530.8 512 530.8s-213.1-95.6-213.1-213.1S394.5 104.6 512 104.6z'
      fill='#1c76bc'
      p-id='2019'
    ></path>
  </svg>
);

const DotSvgPrimary = () => (
  <svg
    t='1595005544624'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='1792'
    width='1em'
    height='1em'
  >
    <path
      d='M512 298.666667c117.333333 0 213.333333 96 213.333333 213.333333s-96 213.333333-213.333333 213.333333-213.333333-96-213.333333-213.333333S394.666667 298.666667 512 298.666667z'
      p-id='1793'
      fill='#1c76bc'
    ></path>
  </svg>
);

const DotSvgWarning = () => (
  <svg
    t='1595005544624'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='1792'
    width='1em'
    height='1em'
  >
    <path
      d='M512 298.666667c117.333333 0 213.333333 96 213.333333 213.333333s-96 213.333333-213.333333 213.333333-213.333333-96-213.333333-213.333333S394.666667 298.666667 512 298.666667z'
      p-id='1793'
      fill='#ffa500'
    ></path>
  </svg>
);

const DotSvgSuccess = () => (
  <svg
    t='1595005544624'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='1792'
    width='1em'
    height='1em'
  >
    <path
      d='M512 298.666667c117.333333 0 213.333333 96 213.333333 213.333333s-96 213.333333-213.333333 213.333333-213.333333-96-213.333333-213.333333S394.666667 298.666667 512 298.666667z'
      p-id='1793'
      fill='#52c41a'
    ></path>
  </svg>
);

const VNDSvg = () => (
  <svg
    t='1595042207431'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='3783'
    width='1em'
    height='1em'
  >
    <path
      d='M640.310303 145.221818h-85.457455V67.956364h85.457455V0h111.709091v67.956364h93.090909v77.265454h-93.090909v714.193455h-104.075636V781.963636c-42.325333 62.060606-105.006545 93.090909-188.043637 93.090909-115.556848 0-199.338667-52.441212-251.345454-157.323636a367.709091 367.709091 0 0 1-37.236364-168.680727c0-136.533333 44.621576-231.672242 133.864727-285.416727a280.948364 280.948364 0 0 1 150.062546-41.146182 220.439273 220.439273 0 0 1 185.064727 86.388363V145.221818zM845.110303 1024H171.504485v-76.334545H845.110303V1024zM288.054303 548.864c0 72.73503 16.756364 130.637576 50.269091 173.707636a159.557818 159.557818 0 0 0 132.375273 64.605091 157.323636 157.323636 0 0 0 130.327272-61.626182c32.271515-41.084121 48.407273-96.938667 48.407273-167.563636 0-78.320485-16.446061-139.326061-49.338182-183.016727a159.930182 159.930182 0 0 0-135.168-65.536 153.413818 153.413818 0 0 0-130.327272 62.929454c-31.030303 42.201212-46.545455 101.034667-46.545455 176.500364z'
      fill='#AFAFAF'
      p-id='3784'
    ></path>
  </svg>
);

const MoneySvg = () => (
  <svg
    t='1595048258019'
    className='icon'
    viewBox='0 0 1097 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='7684'
    width='1em'
    height='1em'
  >
    <path
      d='M438.857143 658.285714h219.428571v-54.857143h-73.142857v-256h-65.133714l-84.553143 78.299429 43.995429 45.714286c13.714286-11.995429 22.272-18.285714 31.414857-32.585143H512v164.571428h-73.142857V658.285714z m292.571428-146.285714c0 104.009143-62.866286 237.714286-182.857142 237.714286s-182.857143-133.705143-182.857143-237.714286 62.866286-237.714286 182.857143-237.714286 182.857143 133.705143 182.857142 237.714286z m292.571429 146.285714v-292.571428c-80.566857 0-146.285714-65.718857-146.285714-146.285715H219.428571c0 80.566857-65.718857 146.285714-146.285714 146.285715v292.571428c80.566857 0 146.285714 65.718857 146.285714 146.285715h658.285715c0-80.566857 65.718857-146.285714 146.285714-146.285715z m73.142857-475.428571v658.285714c0 20.004571-16.566857 36.571429-36.571428 36.571429H36.571429c-20.004571 0-36.571429-16.566857-36.571429-36.571429V182.857143c0-20.004571 16.566857-36.571429 36.571429-36.571429h1024c20.004571 0 36.571429 16.566857 36.571428 36.571429z'
      fill='#1c76bc'
      p-id='7685'
    ></path>
  </svg>
);

const GoBackSvg = () => (
  <svg
    t='1595066400303'
    className='icon'
    viewBox='0 0 1536 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='1770'
    width='1em'
    height='1em'
  >
    <path
      d='M699.904 51.39456c-6.144 0-11.776 3.072-15.36 7.68l-139.264 168.448-139.264 168.448c-6.656 7.68-6.656 18.944 0 26.624l139.264 168.448 139.264 167.936c7.68 8.704 20.48 10.24 29.696 2.56 4.608-4.096 7.168-9.728 7.68-15.872v-179.712c74.752-18.432 132.608-21.504 173.568-12.8 44.032 9.728 70.144 30.72 86.528 62.976 32.768 65.024 18.944 184.832-30.208 329.216-3.584 10.752 2.048 23.04 13.312 26.624 8.192 3.072 17.92 0 23.04-7.168 141.824-185.344 177.664-372.736 121.344-513.024-52.736-131.584-185.856-217.6-371.712-218.112-5.12 0-10.24 0-15.872 0.512v-161.792c0-11.776-9.216-20.992-20.992-20.992h-1.024z'
      fill='#e16531'
      p-id='1771'
    ></path>
  </svg>
);

const FileDownloadSvg = () => (
  <svg
    t='1595216102657'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='2525'
    width='1em'
    height='1em'
  >
    <path
      d='M576 272V0H176C149.4 0 128 21.4 128 48v928c0 26.6 21.4 48 48 48h672c26.6 0 48-21.4 48-48V320H624c-26.4 0-48-21.6-48-48z m152.9 422.72l-192.84 191.4c-13.3 13.22-34.78 13.22-48.08 0l-192.84-191.4C274.84 674.58 289.08 640 317.64 640H448v-160c0-17.68 14.32-32 32-32h64c17.68 0 32 14.32 32 32v160h130.36c28.56 0 42.8 34.58 22.54 54.72zM882 210L686.2 14c-9-9-21.2-14-34-14H640v256h256v-12.2c0-12.6-5-24.8-14-33.8z'
      p-id='2526'
      fill='#000000'
    ></path>
  </svg>
);

const ForwardSvg = () => (
  <svg
    t='1595492250921'
    className='icon'
    viewBox='0 0 1024 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='17768'
    width='1em'
    height='1em'
  >
    <path
      d='M170.667 810.667h682.666V597.333h85.334v256A42.667 42.667 0 0 1 896 896H128a42.667 42.667 0 0 1-42.667-42.667v-256h85.334v213.334z m341.333-384H384A255.659 255.659 0 0 0 176.896 532.18 341.461 341.461 0 0 1 512 256V85.333l341.333 256-341.333 256V426.667z'
      p-id='17769'
      fill='#e16531'
    ></path>
  </svg>
);

const DiscountSvg = () => (
  <svg
    t='1595561436780'
    className='icon'
    viewBox='0 0 1556 1024'
    version='1.1'
    xmlns='http://www.w3.org/2000/svg'
    p-id='7556'
    width='1em'
    height='1em'
  >
    <path
      d='M1556.48 733.184V860.16a163.84 163.84 0 0 1-163.84 163.84H163.84a163.84 163.84 0 0 1-163.84-163.84v-126.976a204.88192 204.88192 0 0 0 0-401.408V163.84a163.84 163.84 0 0 1 163.84-163.84h1228.8a163.84 163.84 0 0 1 163.84 163.84v167.936a204.88192 204.88192 0 0 0 0 401.408zM512 286.72a61.44 61.44 0 0 0 0 122.88h532.48a61.44 61.44 0 0 0 0-122.88h-532.48z m0 327.68a61.44 61.44 0 0 0 0 122.88h532.48a61.44 61.44 0 0 0 0-122.88h-532.48z'
      p-id='7557'
      fill='#e16531'
    ></path>
  </svg>
);

export const CouponIcon = props => <Icon component={CouponSvg} {...props} />;
export const GoogleIcon = props => <Icon component={GoogleSvg} {...props} />;
export const FacebookIcon = props => (
  <Icon component={FacebookSvg} {...props} />
);
export const UserIcon = props => <Icon component={UserSvg} {...props} />;
export const DotIconPrimary = props => (
  <Icon component={DotSvgPrimary} {...props} />
);
export const DotIconWarning = props => (
  <Icon component={DotSvgWarning} {...props} />
);
export const DotIconSuccess = props => (
  <Icon component={DotSvgSuccess} {...props} />
);
export const VNDIcon = props => <Icon component={VNDSvg} {...props} />;
export const MoneyIcon = props => <Icon component={MoneySvg} {...props} />;
export const GoBackIcon = props => <Icon component={GoBackSvg} {...props} />;
export const FileDownloadIcon = props => (
  <Icon component={FileDownloadSvg} {...props} />
);
export const ForwardIcon = props => <Icon component={ForwardSvg} {...props} />;
export const DiscountIcon = props => (
  <Icon component={DiscountSvg} {...props} />
);
